GET /mpan/v1/{mpid}?mpan_id=...
Returns full MPAN details for a specific MPAN core (mpan_id) under the supplier identified by mpid.
Request
Method and path:
GET /mpan/v1/{mpid}?mpan_id=1234567890123
Headers:
X-API-KEY(required): string, UUID format.
Path parameters:
mpid(required): string supplier MPID.
Query parameters:
mpan_id(required): integer MPAN core.
Request body:
- None.
Response
Success:
200 OK- Body type:
MpanSchema
{
"id": 1234567890123,
"address_line_1": "10 High Street",
"address_line_2": null,
"address_line_3": null,
"address_line_4": null,
"address_line_5": null,
"address_line_6": null,
"address_line_7": null,
"address_line_8": null,
"address_line_9": null,
"postcode": "AB1 2CD",
"gsp_group_id": "A",
"distributor_dip_id": "DIP-DIST-001",
"distributor_mpid": "ABCD",
"domestic_indicator": true,
"domestic_indicator_efd": "2026-01-01T00:00:00+00:00",
"energy_direction": "Import",
"metered_indicator": true,
"duos_tariff_id": "DUOS123",
"duos_tariff_efd": "2026-01-01T00:00:00+00:00",
"energisation_status": "E",
"energisation_status_efd": "2026-01-01T00:00:00+00:00",
"connection_type_indicator": "W",
"connection_type_indicator_efd": "2026-01-01T00:00:00+00:00",
"market_segment": "Domestic",
"market_segment_efd": "2026-01-01T00:00:00+00:00",
"annual_consumption": "3500.000",
"annual_consumption_efd": "2026-01-01T00:00:00+00:00",
"annual_consumption_quality_indicator": "A",
"metering_service_dip_id": "DIP-MOP-001",
"metering_service_mpid": "MOP1",
"metering_service_efd": "2026-01-01T00:00:00+00:00",
"metering_service_etd": null,
"data_service_dip_id": "DIP-DC-001",
"data_service_mpid": "DC01",
"data_service_efd": "2026-01-01T00:00:00+00:00",
"data_service_etd": null,
"mdr_dip_id": "DIP-MDR-001",
"mdr_mpid": "MDR1",
"mdr_efd": "2026-01-01T00:00:00+00:00",
"customer_direct_contract_metering_service": false,
"customer_direct_contract_metering_service_mpid": null,
"customer_direct_contract_metering_service_dip_id": null,
"customer_direct_contract_metering_service_efd": null,
"customer_direct_contract_metering_service_etd": null,
"customer_direct_contract_data_service": false,
"customer_direct_contract_data_service_mpid": null,
"customer_direct_contract_data_service_dip_id": null,
"customer_direct_contract_data_service_efd": null,
"customer_direct_contract_data_service_etd": null,
"dcc_service_flag": "Y",
"dcc_service_flag_efd": "2026-01-01T00:00:00+00:00",
"ihd_install_status": "Installed",
"ihd_install_status_efd": "2026-01-01T00:00:00+00:00",
"smso_id": "SMSO123",
"smso_id_efd": "2026-01-01T00:00:00+00:00",
"profile_class": "01",
"profile_class_efd": "2026-01-01T00:00:00+00:00",
"ssc": "0001",
"ssc_efd": "2026-01-01T00:00:00+00:00",
"registration_id": "9f905e25-77da-47df-b7bc-1f1d2ed12abc",
"registration_status_efd": "2026-01-01T00:00:00+00:00",
"supplier_mpid": "ABCD",
"registration_status": "Active",
"supply_start_date": "2026-01-01T00:00:00+00:00",
"supply_end_date": null,
"consent_granularity": "HalfHourly",
"consent_granularity_efd": "2026-01-01T00:00:00+00:00",
"measurement_class_id": "A",
"updated": "2026-03-11T09:30:00+00:00",
"related_mpans": {
"primary_mpan": 1234567890123,
"secondary_mpans": [
{
"mpan_core": 1234567890999,
"effective_from": "2026-01-01T00:00:00+00:00",
"effective_to": null
}
]
},
"linked_mpans": {
"import_mpan": 1234567890123,
"import_supplier_mpid": "ABCD",
"export_mpans": [
{
"mpan_core": 1234567890888,
"effective_from": "2026-01-01T00:00:00+00:00",
"effective_to": null,
"export_supplier_mpid": "WXYZ"
}
]
},
"migration_statuses": [
{
"type": "forward",
"mhhs_regime_end_date": null,
"outgoing_metering_service_dip_id": null,
"outgoing_metering_service_mpid": null,
"outgoing_metering_service_effective_from_date": null,
"outgoing_metering_service_effective_to_date": null,
"outgoing_metering_service_deappointment_reason_code": null,
"outgoing_data_service_dip_id": null,
"outgoing_data_service_mpid": null,
"outgoing_data_service_effective_from_date": null,
"outgoing_data_service_effective_to_date": null,
"outgoing_data_service_deappointment_reason_code": null,
"incoming_mop_mpid": null,
"incoming_mop_effective_from_date": null,
"incoming_dc_mpid": null,
"incoming_dc_effective_from_date": null,
"incoming_supplier_mpid": "ABCD",
"incoming_supplier_dip_id": "DIP123",
"incoming_supplier_effective_from_date": "2026-01-01T00:00:00+00:00",
"old_supplier_mpid": null,
"old_data_aggregator_mpid": null,
"old_data_aggregator_type": null,
"old_data_collector_mpid": null,
"old_data_collector_type": null,
"old_meter_operator_mpid": null,
"old_meter_operator_type": null
}
]
}
Canonical field definitions (required/type/constraints):
No content case:
204 No Contentwhen the MPAN is not found for the given supplier.
Auth/tenant errors:
401when credentials cannot access the requested MPID.403when supplier access is forbidden for the API key.